import{s as Gt,n as Vt,o as Wt}from"../chunks/scheduler.37c15a92.js";import{S as Bt,i as Jt,g as s,s as l,r as p,A as Kt,h as o,f as n,c as a,j as jt,u as m,x as r,k as Ft,y as Nt,a as i,v as f,d as u,t as g,w as h}from"../chunks/index.7cb9c9b8.js";import{H as d}from"../chunks/Heading.d3928e2a.js";function Qt(Lt){let $,J,W,K,v,N,c,Mt="This is a community-created glossary. Contributions are welcomed!",Q,w,X,b,Ht="An agent learns to <strong>make decisions by trial and error, with rewards and punishments from the surroundings</strong>.",Y,x,Z,T,_t="An environment is a simulated world <strong>where an agent can learn by interacting with it</strong>.",tt,y,et,L,Ct="It implies that the action taken by our agent is <strong>conditional solely on the present state and independent of the past states and actions</strong>.",nt,M,it,H,Pt="<li><strong>State</strong>:  Complete description of the state of the world.</li> <li><strong>Observation</strong>: Partial description of the state of the environment/world.</li>",lt,_,at,C,kt="<li><strong>Discrete Actions</strong>: Finite number of actions, such as left, right, up, and down.</li> <li><strong>Continuous Actions</strong>: Infinite possibility of actions; for example, in the case of self-driving cars, the driving scenario has an infinite possibility of actions occurring.</li>",st,P,ot,k,Et="<li><strong>Rewards</strong>: Fundamental factor in RL. Tells the agent whether the action taken is good/bad.</li> <li>RL algorithms are focused on maximizing the <strong>cumulative reward</strong>.</li> <li><strong>Reward Hypothesis</strong>: RL problems can be formulated as a maximisation of (cumulative) return.</li> <li><strong>Discounting</strong> is performed because rewards obtained at the start are more likely to happen as they are more predictable than long-term rewards.</li>",rt,E,pt,A,At="<li><strong>Episodic</strong>: Has a starting point and an ending point.</li> <li><strong>Continuous</strong>: Has a starting point but no ending point.</li>",mt,R,ft,I,Rt="<li><strong>Exploration</strong>: It’s all about exploring the environment by trying random actions and receiving feedback/returns/rewards from the environment.</li> <li><strong>Exploitation</strong>: It’s about exploiting what we know about the environment to gain maximum rewards.</li> <li><strong>Exploration-Exploitation Trade-Off</strong>: It balances how much we want to <strong>explore</strong> the environment and how much we want to <strong>exploit</strong> what we know about the environment.</li>",ut,U,gt,z,It="<li><strong>Policy</strong>: It is called the agent’s brain. It tells us what action to take, given the state.</li> <li><strong>Optimal Policy</strong>: Policy that <strong>maximizes</strong> the <strong>expected return</strong> when an agent acts according to it. It is learned through <em>training</em>.</li>",ht,O,dt,S,Ut="<li>An approach to solving RL problems.</li> <li>In this method, the Policy is learned directly.</li> <li>Will map each state to the best corresponding action at that state. Or a probability distribution over the set of possible actions at that state.</li>",$t,q,vt,D,zt="<li>Another approach to solving RL problems.</li> <li>Here, instead of training a policy, we train a <strong>value function</strong> that maps each state to the expected value of being in that state.</li>",ct,j,Ot="Contributions are welcomed 🤗",wt,F,St='If you want to improve the course, you can <a href="https://github.com/huggingface/deep-rl-class/pulls" rel="nofollow">open a Pull Request.</a>',bt,G,qt="This glossary was made possible thanks to:",xt,V,Dt='<li><a href="https://github.com/lucifermorningstar1305" rel="nofollow">@lucifermorningstar1305</a></li> <li><a href="https://github.com/daspartho" rel="nofollow">@daspartho</a></li> <li><a href="https://github.com/misza222" rel="nofollow">@misza222</a></li>',Tt,B,yt;return v=new d({props:{title:"Glossary",local:"glossary",headingTag:"h1"}}),w=new d({props:{title:"Agent",local:"agent",headingTag:"h3"}}),x=new d({props:{title:"Environment",local:"environment",headingTag:"h3"}}),y=new d({props:{title:"Markov Property",local:"markov-property",headingTag:"h3"}}),M=new d({props:{title:"Observations/State",local:"observationsstate",headingTag:"h3"}}),_=new d({props:{title:"Actions",local:"actions",headingTag:"h3"}}),P=new d({props:{title:"Rewards and Discounting",local:"rewards-and-discounting",headingTag:"h3"}}),E=new d({props:{title:"Tasks",local:"tasks",headingTag:"h3"}}),R=new d({props:{title:"Exploration v/s Exploitation Trade-Off",local:"exploration-vs-exploitation-trade-off",headingTag:"h3"}}),U=new d({props:{title:"Policy",local:"policy",headingTag:"h3"}}),O=new d({props:{title:"Policy-based Methods:",local:"policy-based-methods",headingTag:"h3"}}),q=new d({props:{title:"Value-based Methods:",local:"value-based-methods",headingTag:"h3"}}),{c(){$=s("meta"),J=l(),W=s("p"),K=l(),p(v.$$.fragment),N=l(),c=s("p"),c.textContent=Mt,Q=l(),p(w.$$.fragment),X=l(),b=s("p"),b.innerHTML=Ht,Y=l(),p(x.$$.fragment),Z=l(),T=s("p"),T.innerHTML=_t,tt=l(),p(y.$$.fragment),et=l(),L=s("p"),L.innerHTML=Ct,nt=l(),p(M.$$.fragment),it=l(),H=s("ul"),H.innerHTML=Pt,lt=l(),p(_.$$.fragment),at=l(),C=s("ul"),C.innerHTML=kt,st=l(),p(P.$$.fragment),ot=l(),k=s("ul"),k.innerHTML=Et,rt=l(),p(E.$$.fragment),pt=l(),A=s("ul"),A.innerHTML=At,mt=l(),p(R.$$.fragment),ft=l(),I=s("ul"),I.innerHTML=Rt,ut=l(),p(U.$$.fragment),gt=l(),z=s("ul"),z.innerHTML=It,ht=l(),p(O.$$.fragment),dt=l(),S=s("ul"),S.innerHTML=Ut,$t=l(),p(q.$$.fragment),vt=l(),D=s("ul"),D.innerHTML=zt,ct=l(),j=s("p"),j.textContent=Ot,wt=l(),F=s("p"),F.innerHTML=St,bt=l(),G=s("p"),G.textContent=qt,xt=l(),V=s("ul"),V.innerHTML=Dt,Tt=l(),B=s("p"),this.h()},l(t){const e=Kt("svelte-u9bgzb",document.head);$=o(e,"META",{name:!0,content:!0}),e.forEach(n),J=a(t),W=o(t,"P",{}),jt(W).forEach(n),K=a(t),m(v.$$.fragment,t),N=a(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-m5t86f"&&(c.textContent=Mt),Q=a(t),m(w.$$.fragment,t),X=a(t),b=o(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1p6z4un"&&(b.innerHTML=Ht),Y=a(t),m(x.$$.fragment,t),Z=a(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-zde1p7"&&(T.innerHTML=_t),tt=a(t),m(y.$$.fragment,t),et=a(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-18hhcb"&&(L.innerHTML=Ct),nt=a(t),m(M.$$.fragment,t),it=a(t),H=o(t,"UL",{"data-svelte-h":!0}),r(H)!=="svelte-1j13n4z"&&(H.innerHTML=Pt),lt=a(t),m(_.$$.fragment,t),at=a(t),C=o(t,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1sjkr6t"&&(C.innerHTML=kt),st=a(t),m(P.$$.fragment,t),ot=a(t),k=o(t,"UL",{"data-svelte-h":!0}),r(k)!=="svelte-ulmuc0"&&(k.innerHTML=Et),rt=a(t),m(E.$$.fragment,t),pt=a(t),A=o(t,"UL",{"data-svelte-h":!0}),r(A)!=="svelte-a8uk51"&&(A.innerHTML=At),mt=a(t),m(R.$$.fragment,t),ft=a(t),I=o(t,"UL",{"data-svelte-h":!0}),r(I)!=="svelte-1qq2orr"&&(I.innerHTML=Rt),ut=a(t),m(U.$$.fragment,t),gt=a(t),z=o(t,"UL",{"data-svelte-h":!0}),r(z)!=="svelte-1cp18vy"&&(z.innerHTML=It),ht=a(t),m(O.$$.fragment,t),dt=a(t),S=o(t,"UL",{"data-svelte-h":!0}),r(S)!=="svelte-9o9aul"&&(S.innerHTML=Ut),$t=a(t),m(q.$$.fragment,t),vt=a(t),D=o(t,"UL",{"data-svelte-h":!0}),r(D)!=="svelte-1drg0v"&&(D.innerHTML=zt),ct=a(t),j=o(t,"P",{"data-svelte-h":!0}),r(j)!=="svelte-uwe8dy"&&(j.textContent=Ot),wt=a(t),F=o(t,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1p0vyzq"&&(F.innerHTML=St),bt=a(t),G=o(t,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1abantd"&&(G.textContent=qt),xt=a(t),V=o(t,"UL",{"data-svelte-h":!0}),r(V)!=="svelte-1tdpd7w"&&(V.innerHTML=Dt),Tt=a(t),B=o(t,"P",{}),jt(B).forEach(n),this.h()},h(){Ft($,"name","hf:doc:metadata"),Ft($,"content",Xt)},m(t,e){Nt(document.head,$),i(t,J,e),i(t,W,e),i(t,K,e),f(v,t,e),i(t,N,e),i(t,c,e),i(t,Q,e),f(w,t,e),i(t,X,e),i(t,b,e),i(t,Y,e),f(x,t,e),i(t,Z,e),i(t,T,e),i(t,tt,e),f(y,t,e),i(t,et,e),i(t,L,e),i(t,nt,e),f(M,t,e),i(t,it,e),i(t,H,e),i(t,lt,e),f(_,t,e),i(t,at,e),i(t,C,e),i(t,st,e),f(P,t,e),i(t,ot,e),i(t,k,e),i(t,rt,e),f(E,t,e),i(t,pt,e),i(t,A,e),i(t,mt,e),f(R,t,e),i(t,ft,e),i(t,I,e),i(t,ut,e),f(U,t,e),i(t,gt,e),i(t,z,e),i(t,ht,e),f(O,t,e),i(t,dt,e),i(t,S,e),i(t,$t,e),f(q,t,e),i(t,vt,e),i(t,D,e),i(t,ct,e),i(t,j,e),i(t,wt,e),i(t,F,e),i(t,bt,e),i(t,G,e),i(t,xt,e),i(t,V,e),i(t,Tt,e),i(t,B,e),yt=!0},p:Vt,i(t){yt||(u(v.$$.fragment,t),u(w.$$.fragment,t),u(x.$$.fragment,t),u(y.$$.fragment,t),u(M.$$.fragment,t),u(_.$$.fragment,t),u(P.$$.fragment,t),u(E.$$.fragment,t),u(R.$$.fragment,t),u(U.$$.fragment,t),u(O.$$.fragment,t),u(q.$$.fragment,t),yt=!0)},o(t){g(v.$$.fragment,t),g(w.$$.fragment,t),g(x.$$.fragment,t),g(y.$$.fragment,t),g(M.$$.fragment,t),g(_.$$.fragment,t),g(P.$$.fragment,t),g(E.$$.fragment,t),g(R.$$.fragment,t),g(U.$$.fragment,t),g(O.$$.fragment,t),g(q.$$.fragment,t),yt=!1},d(t){t&&(n(J),n(W),n(K),n(N),n(c),n(Q),n(X),n(b),n(Y),n(Z),n(T),n(tt),n(et),n(L),n(nt),n(it),n(H),n(lt),n(at),n(C),n(st),n(ot),n(k),n(rt),n(pt),n(A),n(mt),n(ft),n(I),n(ut),n(gt),n(z),n(ht),n(dt),n(S),n($t),n(vt),n(D),n(ct),n(j),n(wt),n(F),n(bt),n(G),n(xt),n(V),n(Tt),n(B)),n($),h(v,t),h(w,t),h(x,t),h(y,t),h(M,t),h(_,t),h(P,t),h(E,t),h(R,t),h(U,t),h(O,t),h(q,t)}}}const Xt='{"title":"Glossary","local":"glossary","sections":[{"title":"Agent","local":"agent","sections":[],"depth":3},{"title":"Environment","local":"environment","sections":[],"depth":3},{"title":"Markov Property","local":"markov-property","sections":[],"depth":3},{"title":"Observations/State","local":"observationsstate","sections":[],"depth":3},{"title":"Actions","local":"actions","sections":[],"depth":3},{"title":"Rewards and Discounting","local":"rewards-and-discounting","sections":[],"depth":3},{"title":"Tasks","local":"tasks","sections":[],"depth":3},{"title":"Exploration v/s Exploitation Trade-Off","local":"exploration-vs-exploitation-trade-off","sections":[],"depth":3},{"title":"Policy","local":"policy","sections":[],"depth":3},{"title":"Policy-based Methods:","local":"policy-based-methods","sections":[],"depth":3},{"title":"Value-based Methods:","local":"value-based-methods","sections":[],"depth":3}],"depth":1}';function Yt(Lt){return Wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ne extends Bt{constructor($){super(),Jt(this,$,Yt,Qt,Gt,{})}}export{ne as component};
